Search businesses by name, EIN, or email.
Search business core identities using partial or exact field matches.
Parameters
network_id : UUID.
Network scope for the search.
business_legal_name : str, optional.
Case-insensitive partial match on legal name.
business_dba_name : str, optional.
Case-insensitive partial match on DBA name.
business_email : str, optional.
Case-insensitive partial match on email.
federal_ein : int, optional.
Exact match on federal EIN.
limit : int.
Maximum number of results (1-100). Defaults to 20.
Returns
results : list[BusinessSearchResult].
Matching business core identities.
Examples
GET /entities/business/search?network_id=...&business_legal_name=Acme&limit=10
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Network scope for the search
Partial match on legal name
Partial match on DBA name
Partial match on email
Exact match on federal EIN
Max results
1 <= x <= 100Response
Successful Response
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$